package cn.ezhizao.project.business.mapper;

import cn.ezhizao.project.business.domain.BizDayworkItem;
import cn.ezhizao.project.business.domain.BizProductionResourceGroupDetail;
import cn.ezhizao.project.system.domain.SysDept;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * 报工记录Mapper接口
 *
 * @author ezhizao
 * @date 2023-12-04
 */
public interface BizDayworkItemMapper extends BaseMapper<BizDayworkItem>
{
    /**
     * 查询报工记录列表
     *
     * @param bizDayworkItem 报工记录
     * @return 报工记录集合
     */
    public List<BizDayworkItem> getList(BizDayworkItem bizDayworkItem);

    public List<SysDept> getDeptInfo(BizDayworkItem bizDayworkItem);
    /**
     * 查询设备信息
     * @param bizProductionResourceGroupDetail
     * @return
     */
    public BizProductionResourceGroupDetail getEquipmentInfo(BizProductionResourceGroupDetail bizProductionResourceGroupDetail);

    /**
     * 物理删除
     * @param bizDayworkItem
     * @return 删除结果
    */
    public int physicalDelete(BizDayworkItem bizDayworkItem);
    /**
     * 更新报工记录
     * @param bizDayworkItem
     */
    public void updateDayworkItem(BizDayworkItem bizDayworkItem);

    List<BizDayworkItem> getItemScreen(Long dayWorkId);

    List<BizDayworkItem> selectList(BizDayworkItem bizDayworkItem);



}
